
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- Add saa713x card #66: Yuan TUN-900 (saa7135)

Signed-off-by: De Greef Sebastien <sebdg@hotmail.com>
Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/video4linux/CARDLIST.saa7134  |    1 
 drivers/media/video/saa7134/saa7134-cards.c |   41 ++++++++++++++++++++++++++++
 drivers/media/video/saa7134/saa7134.h       |    1 
 3 files changed, 43 insertions(+)

diff -puN Documentation/video4linux/CARDLIST.saa7134~v4l-add-saa713x-card-66-yuan-tun-900-saa7135 Documentation/video4linux/CARDLIST.saa7134
--- devel/Documentation/video4linux/CARDLIST.saa7134~v4l-add-saa713x-card-66-yuan-tun-900-saa7135	2005-09-06 21:14:20.000000000 -0700
+++ devel-akpm/Documentation/video4linux/CARDLIST.saa7134	2005-09-06 21:14:20.000000000 -0700
@@ -64,3 +64,4 @@
  63 -> Kworld Xpert TV PVR7134
  64 -> FlyTV mini Asus Digimatrix               [1043:0210,1043:0210]
  65 -> V-Stream Studio TV Terminator
+ 66 -> Yuan TUN-900 (saa7135)
diff -puN drivers/media/video/saa7134/saa7134-cards.c~v4l-add-saa713x-card-66-yuan-tun-900-saa7135 drivers/media/video/saa7134/saa7134-cards.c
--- devel/drivers/media/video/saa7134/saa7134-cards.c~v4l-add-saa713x-card-66-yuan-tun-900-saa7135	2005-09-06 21:14:20.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134-cards.c	2005-09-06 21:14:20.000000000 -0700
@@ -2068,6 +2068,47 @@ struct saa7134_board saa7134_boards[] = 
 			.gpio = 0x0200000,
 		},
 	},
+	[SAA7134_BOARD_YUAN_TUN900] = {
+		/* FIXME:
+		 * S-Video and composite sources untested.
+		 * Radio not working.
+		 * Remote control not yet implemented.
+		 * From : codemaster@webgeeks.be */
+		.name           = "Yuan TUN-900 (saa7135)",
+		.audio_clock    = 0x00187de7,
+		.tuner_type     = TUNER_PHILIPS_TDA8290,
+		.radio_type     = UNSET,
+		.tuner_addr= ADDR_UNSET,
+		.radio_addr= ADDR_UNSET,
+		.gpiomask       = 0x00010003,
+		.inputs         = {{
+			.name = name_tv,
+			.vmux = 1,
+			.amux = TV,
+			.tv   = 1,
+			.gpio = 0x01,
+		},{
+			.name = name_comp1,
+			.vmux = 0,
+			.amux = LINE2,
+			.gpio = 0x02,
+		},{
+			.name = name_svideo,
+			.vmux = 6,
+			.amux = LINE2,
+			.gpio = 0x02,
+		}},
+		.radio = {
+			.name = name_radio,
+			.amux = LINE1,
+			.gpio = 0x00010003,
+		},
+		.mute = {
+			.name = name_mute,
+			.amux = TV,
+			.gpio = 0x01,
+		},
+	},
 };
 
 
diff -puN drivers/media/video/saa7134/saa7134.h~v4l-add-saa713x-card-66-yuan-tun-900-saa7135 drivers/media/video/saa7134/saa7134.h
--- devel/drivers/media/video/saa7134/saa7134.h~v4l-add-saa713x-card-66-yuan-tun-900-saa7135	2005-09-06 21:14:20.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134.h	2005-09-06 21:14:20.000000000 -0700
@@ -186,6 +186,7 @@ struct saa7134_format {
 #define SAA7134_BOARD_KWORLD_XPERT 63
 #define SAA7134_BOARD_FLYTV_DIGIMATRIX 64
 #define SAA7134_BOARD_KWORLD_TERMINATOR 65
+#define SAA7134_BOARD_YUAN_TUN900 66
 
 #define SAA7134_MAXBOARDS 8
 #define SAA7134_INPUT_MAX 8
_
